#property copyright "Copyright  2005, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net/"

#property indicator_chart_window
#property indicator_buffers 6

double OpenBuf1[], CloseBuf1[], OpenBuf2[], CloseBuf2[], OpenBuf3[], CloseBuf3[];

extern int width = 3;
extern color OpenColor=Blue;
extern color CloseColor=Red;
int init()
{
  string short_name;

  IndicatorBuffers(6);
  IndicatorDigits(Digits);

  SetIndexBuffer(0,OpenBuf1);
  SetIndexBuffer(1,CloseBuf1);
  SetIndexBuffer(2,OpenBuf2);
  SetIndexBuffer(3,CloseBuf2);
  SetIndexBuffer(4,OpenBuf3);
  SetIndexBuffer(5,CloseBuf3);

  short_name="OpenCloseMarks";
  IndicatorShortName(short_name);
  SetIndexLabel(0,short_name);
  return(0);
}

int start()
{
  int trigger = 0;
  
  for(int i = 0; i < Bars; i++)
  {
    if (trigger == 0) 
    { 
      OpenBuf1[i+1] = Open[i]; OpenBuf1[i] = Open[i];
      if ( i > 0 ) { CloseBuf1[i] = Close[i]; CloseBuf1[i-1] = Close[i]; }
      trigger = 1;
    }
    else if (trigger == 1) 
    { 
      OpenBuf2[i+1] = Open[i]; OpenBuf2[i] = Open[i];
      if ( i > 0 ) { CloseBuf2[i] = Close[i]; CloseBuf2[i-1] = Close[i]; }
      trigger = 2;
    }
    else if (trigger == 2) 
    { 
      OpenBuf3[i+1] = Open[i]; OpenBuf3[i] = Open[i];
      if ( i > 0 ) { CloseBuf3[i] = Close[i]; CloseBuf3[i-1] = Close[i]; }
      trigger = 0;
    }
  } 

  for (i = 0; i < 6; i += 2) 
  {
    SetIndexStyle(i,DRAW_LINE, STYLE_SOLID, width, OpenColor);
    SetIndexStyle(i+1,DRAW_LINE, STYLE_SOLID, width, CloseColor);
  }
  return(0);
}